package dev.shadowsoffire.apotheosis.mixin;

import net.minecraft.world.level.block.state.properties.Property;
import net.minecraft.core.BlockPos;
import net.minecraft.world.level.LevelReader;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.state.BlockBehaviour;
import net.minecraft.world.level.block.CandleBlock;
import org.spongepowered.asm.mixin.Mixin;
import dev.shadowsoffire.apotheosis.ench.api.IEnchantingBlock;
import net.minecraft.world.level.block.AbstractCandleBlock;

@Mixin({ CandleBlock.class })
public abstract class CandleBlockMixin extends AbstractCandleBlock implements IEnchantingBlock
{
    protected CandleBlockMixin(final BlockBehaviour.Properties pProperties) {
        super(pProperties);
    }
    
    public float getArcanaBonus(final BlockState state, final LevelReader world, final BlockPos pos) {
        return 1.25f * (int)state.m_61143_((Property)CandleBlock.f_152790_);
    }
}
